Bug 1082775 (JBJCA-1159-JBJCA-1161for-6.2) - [GSS] (6.2.x) ConnectionListener leaked if TSR throws IllegalStateException and NPE in SemaphoreArrayListManagedConnectionPool
Summary: [GSS] (6.2.x) ConnectionListener leaked if TSR throws IllegalStateException a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: JBJCA-1159-JBJCA-1161for-6.2
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA
Version: 6.2.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR2
: EAP 6.2.3
Assignee: jolee
QA Contact: Martin Simka
Russell Dickenson
URL:
Whiteboard:
Depends On: 1088470
Blocks: eap62-cp03-blockers 1080126
TreeView+ depends on / blocked
 
Reported: 2014-03-31 19:36 UTC by jolee
Modified: 2018-12-05 17:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1082812 1088470 (view as bug list)
Environment:
Last Closed: 2014-06-09 12:47:53 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker JBJCA-1159 Blocker Closed ConnectionListener leaked if TSR throws IllegalStateException 2018-01-04 10:58:54 UTC
Red Hat One Jira Issue Tracker JBJCA-1161 Blocker Closed NPE in SemaphoreArrayListManagedConnectionPool 2018-01-04 10:58:54 UTC

Description jolee 2014-03-31 19:36:58 UTC
Description of problem:
  Please refer to: https://issues.jboss.org/browse/JBJCA-1159 and https://issues.jboss.org/browse/JBJCA-1161


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 jolee 2014-04-02 20:22:06 UTC
branch: IRONJACAMAR_1_0_23_FINAL_EAP_6.2.3 on git+ssh://code.engineering.redhat.com/ironjacamar.git

commit ddbfb4a8ca372fdb2846698026b6881748b8ea0c
Author: jesperpedersen <jesper.pedersen@ironjacamar.org>
Date:   Mon Mar 31 13:01:27 2014 -0400

    BZ1082775: [JBJCA-1161] NPE in SemaphoreArrayListManagedConnectionPool

commit 6b210336b60248d8055d8f99697f5af23e07f716
Author: jesperpedersen <jesper.pedersen@ironjacamar.org>
Date:   Mon Mar 31 10:32:08 2014 -0400

    [JBJCA-1159] ConnectionListener leaked if TSR throws IllegalStateException

commit 1dd9e28b6b679c5f5dd75ce471c2cf3d59d28100
Author: jolee <jolee@redhat.com>
Date:   Wed Apr 2 08:11:07 2014 -0500

    Revert "[BZ:1043322] Remove *.jar files from source"
    
    This reverts commit 0d376b26d4e4696b8b426814918313812287f99e.

Comment 6 Martin Simka 2014-05-06 13:03:00 UTC
verified on EAP 6.2.3.CP.CR2


Note You need to log in before you can comment on or make changes to this bug.